TRY NOW!
AMPL > >Products > >AMPL IDE > >AMPL IDE 3.1 Release Notes

AMPL IDE 3.1 Release Notes

  • Updated AMPL IDE to version 4.5 Mars of the Eclipse platform.

  • The IDE now supports global menu in Ubuntu’s Unity shell:

    https://cloud.githubusercontent.com/assets/576385/9647597/a6209898-5193-11e5-8241-338267de06fd.png

  • The IDE now stores its settings in standard OS-specific locations:

    • Linux: ~/.config/amplide
    • OS X: ~/Library/Application Support/amplide
    • Windows: ~/AppData/Local/amplide

    instead of ~/AMPLIDESettings.

  • AMPL IDE is now packaged as an application bundle on OS X.

  • Editor can now be split horizontally or vertically:

    https://cloud.githubusercontent.com/assets/576385/9668009/f540c3e4-5233-11e5-9d90-6fc09bde752f.png

  • Improved error reporting.

  • Fixed opening amplide in GNOME Files.

  • Fixed exception "org.eclipse.swt.SWTException: Device is disposed" reported in the log when closing the IDE.

  • Removed unused dependencies.

  • Implemented a workaround for Eclipse bug 462862 that caused spurious error messages in the log.